Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire
Interface StreamID

    public interface StreamID

A unique identifier for a stream.

Author:
  Iain Shigeoka

Method Summary
`String` | `getID()` Obtain a unique identifier for easily identifying this stream in a database.

Method Detail

### getID

    String getID()

  Obtain a unique identifier for easily identifying this stream in a database.

  Returns:
    The unique ID for this stream

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.